# TripwireHook (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block.data.type, interface: TripwireHook

Package org.bukkit.block.data.type

# Interface TripwireHook

All Superinterfaces:
  `Attachable`, `BlockData`, `Cloneable`, `Directional`, `Powerable`

public interface TripwireHook extends Attachable, Directional, Powerable

## Method Summary

### Methods inherited from interface org.bukkit.block.data.Attachable

`isAttached, setAttached`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`